<?php

  $Position   = '../';
  require_once($Position.'config/config.php');
  require_once($Position.'config/conexion.php');
  require_once($Position.'config/user.php');
  require_once($Position.'funciones/funciones.php');

  if( $_POST['Save-Empresa'] == 'Ok' ){

    $Nombre           = $_POST['Nombre'];
    $Clave            = strtolower($Nombre);
    $Clave            = str_replace(" ","_",$Clave);
    $Fecha            = date('Y-m-d H-i-s');

    if( $Nombre ){

      //Valida RFC
      $Query = "
        SELECT
          emp.Id
        FROM KB_Empresas emp
        WHERE
          emp.Nombre = '$Nombre'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Val = mysqli_fetch_assoc($Result);
      if( $Val[Id] ){

        $Data = array(
          'action'    => 'error',
          'msn'       => 'Este Cliente ya esta dado de Alta. ( '.$Rfc.' )'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }else{

        //Inserta Venta
        $Query = "
          INSERT INTO KB_Empresas
          (
            Nombre, Clave
          )
          VALUES (
            '$Nombre', '$Clave'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Id = mysqli_insert_id($mysqli);

        if( $Id ){
          $Data = array(
            'action'    => 'saved',
            'msn'       => 'Empresa guardado con éxito!'
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);
        }
      }

    }else{

      $Data = array(
        'action'    => 'error',
        'msn'       => 'Falta llenar algunos campos.'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }


  }

?>
